---
title: CSSPositionValue
slug: Web/API/CSSPositionValue
tags:
  - API
  - CSS Typed Object Model API
  - CSSPositionValue
  - Experimental
  - Houdini
  - Interface
  - Reference
---
<div>{{Obsolete_Header}}{{APIRef("CSS Typed Object Model API")}}</div>

<p><span class="seoSummary">The <strong><code>CSSPositionValue</code></strong> interface of the <a href="/docs/Web/API/CSS_Typed_Object_Model_API">CSS Typed Object Model API</a> represents values for properties that take a position, for example {{cssxref('object-position')}}. </span></p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("CSSPositionValue.CSSPositionValue()")}}</dt>
 <dd>Creates a new <code>CSSPositionValue</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('CSSPositionValue.x')}}</dt>
 <dd>Returns the item's position along the web page's horizontal axis.</dd>
 <dt>{{domxref('CSSPositionValue.y')}}</dt>
 <dd>Returns the item's position along the vertical axis.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>The following example positions a container <code>&lt;div&gt;</code> 5 pixels from the top and 10 pixels from the left of the page. </p>

<pre class="brush: js">let replacedEl = document.getElementById( 'image' );
let position = new CSSPositionValue( CSS.px(35), CSS.px(40) );

replacedEl.attributeStyleMap.set( 'object-position', position );
console.log( position.x.value, position.y.value );
console.log( replacedEl.computedStyleMap().get('object-position') );</pre>

<p>We set the {{cssxref('object-position')}} property, then check the values returned.</p>

<pre class="brush: css hidden">#image {
  width: 300px;
  height: 300px;
  border: 1px solid black;
  background-color: #dededf;
  object-fit: none;
}</pre>

<pre class="brush: html hidden">&lt;p&gt;Check the developer tools to see the log in the console and to inspect the style attribute on the image.&lt;/p&gt;
&lt;img id="image" src="https://mdn.mozillademos.org/files/12668/MDN.svg" alt="MDN Logo"/&gt;</pre>

<p>{{EmbedLiveSample("Examples", 300, 300)}}</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSPositionValue")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref('CSSImageValue')}}</li>
 <li>{{domxref('CSSKeywordValue')}}</li>
 <li>{{domxref('CSSNumericValue')}}</li>
 <li>{{domxref('CSSTransformValue')}}</li>
 <li>{{domxref('CSSUnparsedValue')}}</li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
